#
# spec file for package gnu-netcat
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnu-netcat
Version:        0.7.1
Release:        6.3
Summary:        GNU variant of universal network utility
License:        GPL-2.0
Group:          Productivity/Networking/Other
Url:            http://netcat.sourceforge.net
Source0:        netcat-%{version}.tar.bz2
Source1:        netcat-%{version}.tar.bz2.asc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:	netcat-openbsd
%if 0%{?suse_version} > 1220
BuildRequires:  gpg-offline
%endif

%description
Netcat is a featured networking utility which reads and writes data across
network connections, using the TCP/IP protocol.  It is designed to be a
reliable "back-end" tool that can be used directly or easily driven by other
programs and scripts. At the same time, it is a feature-rich network debugging
and exploration tool, since it can create almost any kind of connection you
would need and has several interesting built-in capabilities.

It provides access to the following main features:

  * Outbound and inbound connections, TCP or UDP, to or from any ports.
  * Featured tunneling mode which allows also special tunneling such as UDP to
    TCP, with the possibility of specifying all network parameters (source
    port/interface, listening port/interface, and the remote host allowed to
    connect to the tunnel.
  * Built-in port-scanning capabilities, with randomizer.
  * Advanced usage options, such as buffered send-mode (one line every N
    seconds), and hexdump (to stderr or to a specified file) of trasmitted and
    received data.
  * Optional RFC854 telnet codes parser and responder.

The GNU Netcat is distributed freely under the GNU General Public License (GPL).

%prep
%if 0%{?gpg_verify:1}
%gpg_verify %{SOURCE1}
%endif
%setup -q -n netcat-%{version}

%build
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang netcat

%post
%install_info --info-dir=%{_infodir} %{_infodir}/netcat.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/netcat.info.gz


%files -f netcat.lang
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/*
%{_infodir}/netcat.info.gz
%{_mandir}/*/*

%changelog
* Wed May 14 2014 sleep_walker@suse.cz
- conflict with netcat-openbsd
* Tue May 13 2014 sleep_walker@suse.cz
- set proper category
* Tue May 13 2014 sleep_walker@suse.cz
- run spec file through spec-cleaner
* Tue May 13 2014 sleep_walker@suse.cz
- let there be gnu-netcat!
